Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.display.config.exception
Class TemplateLookupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.display.config.exception.DisplayServiceException
                  com.bea.p13n.display.config.exception.TemplateLookupException

All Implemented Interfaces
  Serializable

    public class TemplateLookupException

extends DisplayServiceException

This class extends `TemplateLookupException` class and wraps the exception occurred in the application. This exception might occur when there is a problem in looking up any particular view.

See Also
  Serialized Form

Constructor Summary
`TemplateLookupException()`
`TemplateLookupException(String msg)` Constructor that takes a String message as an argument
`TemplateLookupException(Throwable cause)` Constructor that takes Throwbale object.
`TemplateLookupException(Throwable cause, String msg)` Constructor that takes Throwable object and message

Method Summary

Methods inherited from class com.bea.p13n.display.config.exception.DisplayServiceException
`getErrorLevel, initCause, setErrorLevel`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateLookupException

    public TemplateLookupException()

### TemplateLookupException

    public TemplateLookupException(String msg)

  Constructor that takes a String message as an argument

  Parameters
    `msg` -

### TemplateLookupException

    public TemplateLookupException(Throwable cause)

  Constructor that takes Throwbale object.

  Parameters
    `cause` -

### TemplateLookupException

    public TemplateLookupException(Throwable cause,
                                   String msg)

  Constructor that takes Throwable object and message

  Parameters
    `cause` -
    `msg` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.